Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant
Class CactifyWarTask.Redirector

    java.lang.Object
      org.apache.cactus.integration.ant.CactifyWarTask.Redirector

Direct Known Subclasses:
  CactifyWarTask.FilterRedirector, CactifyWarTask.JspRedirector, CactifyWarTask.ServletRedirector

Enclosing class:
  CactifyWarTask

public abstract static class CactifyWarTask.Redirector
extends java.lang.Object

Abstract base class for nested redirector elements.

Constructor Summary
`CactifyWarTask.Redirector()`

Method Summary
`abstract void` | `mergeInto(org.codehaus.cargo.module.webapp.WebXml theWebXml)` Merges the definition of the redirector into the provided deployment descriptor.
`void` | `setMapping(java.lang.String theMapping)` Sets the URL pattern that the redirector should be mapped to.
`void` | `setName(java.lang.String theName)` Sets the name of the redirector.
`void` | `setRoles(java.lang.String theRoles)` Sets the comma-separated list of role names that should be granted access to the redirector.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CactifyWarTask.Redirector

    public CactifyWarTask.Redirector()

Method Detail

### mergeInto

    public abstract void mergeInto(org.codehaus.cargo.module.webapp.WebXml theWebXml)

  Merges the definition of the redirector into the provided deployment descriptor.

  Parameters:
    `theWebXml` - The deployment descriptor into which the redirector definition should be merged

### setName

    public final void setName(java.lang.String theName)

  Sets the name of the redirector.

  Parameters:
    `theName` - The name to set

### setMapping

    public final void setMapping(java.lang.String theMapping)

  Sets the URL pattern that the redirector should be mapped to.

  Parameters:
    `theMapping` - The URL pattern to set

### setRoles

    public final void setRoles(java.lang.String theRoles)

  Sets the comma-separated list of role names that should be granted access to the redirector.

  Parameters:
    `theRoles` - The roles to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.